/* Parameters derived from machine and compiler architecture */

	/* ---------------- Scalar alignments ---------------- */

#define ARCH_ALIGN_SHORT_MOD 2
#define ARCH_ALIGN_INT_MOD 2
#define ARCH_ALIGN_LONG_MOD 2
#define ARCH_ALIGN_PTR_MOD 2
#define ARCH_ALIGN_FLOAT_MOD 2
#define ARCH_ALIGN_DOUBLE_MOD 2

	/* ---------------- Scalar sizes ---------------- */

#define ARCH_LOG2_SIZEOF_SHORT 1
#define ARCH_LOG2_SIZEOF_INT 2
#define ARCH_LOG2_SIZEOF_LONG 2
#define ARCH_SIZEOF_DS_PTR 4
#define ARCH_SIZEOF_PTR 4
#define ARCH_SIZEOF_FLOAT 4
#define ARCH_SIZEOF_DOUBLE 8

	/* ---------------- Unsigned max values ---------------- */

#define ARCH_MAX_UCHAR ((unsigned char)0xff + (unsigned char)0)
#define ARCH_MAX_USHORT ((unsigned short)0xffff + (unsigned short)0)
#define ARCH_MAX_UINT ((unsigned int)0xffffffff + (unsigned int)0)
#define ARCH_MAX_ULONG ((unsigned long)0xffffffffL + (unsigned long)0)

	/* ---------------- Miscellaneous ---------------- */

#define ARCH_IS_BIG_ENDIAN 1
#define ARCH_PTRS_ARE_SIGNED 0
#define ARCH_FLOATS_ARE_IEEE 1
#define ARCH_ARITH_RSHIFT 2
#define ARCH_CAN_SHIFT_FULL_LONG 1
